package com.realnet.pointtable.Services;
import com.realnet.pointtable.Repository.PointtableRepository;
import com.realnet.pointtable.Entity.Pointtable
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;












	import org.springframework.stereotype.Service;

@Service
 public class PointtableService {
@Autowired
private PointtableRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;











public Pointtable Savedata(Pointtable data) {












	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Pointtable save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Pointtable> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Pointtable> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Pointtable> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Pointtable getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Pointtable update(Pointtable data,Integer id) {
	Pointtable old = Repository.findById(id).get();
old.setName(data.getName());

old.setMatch_id(data.getMatch_id());

old.setTeam_id(data.getTeam_id());

old.setTournament_id(data.getTournament_id());

old.setPoints(data.getPoints());

old.setRound(data.getRound());

final Pointtable test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
